- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreManualObject.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`
`#include "OgreResourceGroupManager.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::ManualObject
| Class providing a much simplified interface to generating manual objects with custom geometry. More...
class | Ogre::ManualObject::ManualObjectSection
| Built, renderable section of geometry. More...
class | Ogre::ManualObject::ManualObjectSectionShadowRenderable
| Nested class to allow shadows. More...
struct | Ogre::ManualObject::TempVertex
| Temporary vertex structure. More...
class | Ogre::ManualObjectFactory
| Factory object for creating ManualObject instances. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008